#loyaltylion .lion-screen--light {
  background-color: var(--colors-backdrop);
}
#loyaltylion .lion-modal {
  max-width: 40rem;
  background-color: var(--colors-background);
}
#loyaltylion .lion-modal .lion-modal__header {
  display: flex;
  background-color: var(--colors-background);
}
#loyaltylion .lion-modal .lion-modal__title {
  padding: var(--spacing-xs);
  padding-inline-start: var(--spacing-md);
  font-size: var(--typography-rules-headline4-font-size);
  font-family: var(--typography-rules-headline4-font-family, inherit);
  line-height: var(--typography-rules-headline4-line-height, normal);
  letter-spacing: var(--typography-rules-headline4-letter-spacing, normal);
  text-transform: var(--typography-rules-headline4-text-transform, none);
  font-weight: var(--typography-rules-headline4-font-weight, normal);
}
#loyaltylion .lion-modal .lion-modal__close-button {
  font-size: var(--spacing-md);
  position: absolute;
  top: 0;
  right: 0;
  text-align: center;
}
#loyaltylion .lion-modal .lion-redeem-reward-modal__summary {
  font-size: var(--typography-rules-text1-font-size);
  font-family: var(--typography-rules-text1-font-family, inherit);
  line-height: var(--typography-rules-text1-line-height, normal);
  letter-spacing: var(--typography-rules-text1-letter-spacing, normal);
  text-transform: var(--typography-rules-text1-text-transform, none);
  font-weight: var(--typography-rules-text1-font-weight, normal);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__confirm-summary {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: var(--spacing-xs);
  text-align: start;
  font-size: var(--typography-rules-text1-font-size);
  font-family: var(--typography-rules-text1-font-family, inherit);
  line-height: var(--typography-rules-text1-line-height, normal);
  letter-spacing: var(--typography-rules-text1-letter-spacing, normal);
  text-transform: var(--typography-rules-text1-text-transform, none);
  font-weight: var(--typography-rules-text1-font-weight, normal);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__confirm-summary::before {
  content: "";
  background-image: var(--rewards-lion-icons-large);
  background-position: center;
  background-size: cover;
  width: 7rem;
  height: 7rem;
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__summary {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  column-gap: var(--spacing-xs);
  text-align: start;
  font-size: var(--typography-rules-text1-font-size);
  font-family: var(--typography-rules-text1-font-family, inherit);
  line-height: var(--typography-rules-text1-line-height, normal);
  letter-spacing: var(--typography-rules-text1-letter-spacing, normal);
  text-transform: var(--typography-rules-text1-text-transform, none);
  font-weight: var(--typography-rules-text1-font-weight, normal);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__summary::before {
  content: "";
  background-image: var(--rewards-lion-icons-large);
  background-position: center;
  background-size: cover;
  flex-shrink: 0;
  width: 7rem;
  height: 7rem;
}
#loyaltylion .lion-redeem-reward-modal .lion-modal__content {
  padding: var(--spacing-md);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__button-container {
  display: flex;
  flex-direction: column;
  row-gap: var(--spacing-xs);
  margin-top: var(--spacing-md);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__button-container .lion-redeem-reward-modal__button {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 5rem;
  border-radius: var(--buttons-primary-border-radius);
  margin: 0;
  font-size: var(--typography-rules-button1-font-size);
  font-family: var(--typography-rules-button1-font-family, inherit);
  line-height: var(--typography-rules-button1-line-height, normal);
  letter-spacing: var(--typography-rules-button1-letter-spacing, normal);
  text-transform: var(--typography-rules-button1-text-transform, none);
  font-weight: var(--typography-rules-button1-font-weight, normal);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__button-container .lion-redeem-reward-modal__button--cancel {
  order: 1;
  background-color: var(--buttons-secondary-background);
  color: var(--buttons-secondary-text);
  border: 1px solid var(--buttons-secondary-border-color);
}
#loyaltylion .lion-redeem-reward-modal .lion-redeem-reward-modal__button-container .lion-redeem-reward-modal__button--confirm {
  order: 0;
  background-color: var(--buttons-primary-background);
  color: var(--buttons-primary-text);
  border: 1px solid var(--buttons-primary-border-color);
}
#loyaltylion .lion-modal--history-info,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher {
  max-width: 40rem;
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__basic,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__basic {
  padding: var(--spacing-lg);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info {
  display: grid;
  grid-template-columns: 2fr 3fr 2fr;
  grid-template-rows: 1fr 1fr;
  column-gap: var(--spacing-md);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-info-modal-content__points,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-info-modal-content__points {
  grid-column: 2;
  height: fit-content;
  font-size: var(--typography-rules-headline4-font-size);
  font-family: var(--typography-rules-headline4-font-family, inherit);
  line-height: var(--typography-rules-headline4-line-height, normal);
  letter-spacing: var(--typography-rules-headline4-letter-spacing, normal);
  text-transform: var(--typography-rules-headline4-text-transform, none);
  font-weight: var(--typography-rules-headline4-font-weight, normal);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-info-modal-content__points::before,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-info-modal-content__points::before {
  display: none;
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-info-modal-content__date,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-info-modal-content__date {
  display: flex;
  column-gap: var(--spacing-xxs);
  align-items: center;
  grid-column: 2;
  align-self: baseline;
  font-size: var(--typography-rules-text1-font-size);
  font-family: var(--typography-rules-text1-font-family, inherit);
  line-height: var(--typography-rules-text1-line-height, normal);
  letter-spacing: var(--typography-rules-text1-letter-spacing, normal);
  text-transform: var(--typography-rules-text1-text-transform, none);
  font-weight: var(--typography-rules-text1-font-weight, normal);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-info-modal-content__date::before,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-info-modal-content__date::before {
  all: unset;
  display: block;
  content: var(--rewards-lion-icons-clock);
  mask-position: center;
  mask-size: cover;
  width: var(--spacing-sm);
  height: var(--spacing-sm);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-state-bubble,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-state-bubble {
  grid-column: 3;
  grid-row: 1;
  position: unset;
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: var(--spacing-xxxs);
  font-size: var(--typography-rules-text4-font-size);
  font-family: var(--typography-rules-text4-font-family, inherit);
  line-height: var(--typography-rules-text4-line-height, normal);
  letter-spacing: var(--typography-rules-text4-letter-spacing, normal);
  text-transform: var(--typography-rules-text4-text-transform, none);
  font-weight: var(--typography-rules-text4-font-weight, normal);
  background-color: var(--colors-success);
  padding: var(--spacing-xxxs) var(--spacing-xxs);
  border-radius: var(--spacing-xxxs);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info .lion-history-state-bubble::before,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info .lion-history-state-bubble::before {
  display: block;
  content: "";
  mask: var(--rewards-lion-icons-approved);
  mask-position: center;
  mask-repeat: no-repeat;
  mask-size: contain;
  background-color: white;
  width: var(--spacing-sm);
  height: var(--spacing-sm);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__info::before,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__info::before {
  grid-column: 1;
  grid-row: span 2;
  content: "";
  background-image: var(--rewards-lion-icons-large);
  background-position: center;
  background-size: cover;
  width: 7rem;
  height: 7rem;
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__comment,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__comment {
  display: flex;
  flex-direction: column;
  row-gap: var(--spacing-xs);
  background-color: var(--colors-background);
  border: 0;
  padding-inline: var(--spacing-lg);
  padding-top: 0;
  padding-bottom: var(--spacing-xs);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__actions,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__actions {
  padding-inline: var(--spacing-lg);
  padding-bottom: var(--spacing-md);
}
#loyaltylion .lion-modal--history-info .lion-history-info-modal-content__actions .lion-apply-reward-button,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-history-info-modal-content__actions .lion-apply-reward-button {
  width: 100%;
  padding: var(--spacing-sm);
  border-radius: var(--buttons-primary-border-radius);
  background-color: var(--buttons-primary-background);
  color: var(--buttons-primary-text);
  border: 1px solid var(--buttons-primary-border-color);
  font-size: var(--typography-rules-button1-font-size);
  font-family: var(--typography-rules-button1-font-family, inherit);
  line-height: var(--typography-rules-button1-line-height, normal);
  letter-spacing: var(--typography-rules-button1-letter-spacing, normal);
  text-transform: var(--typography-rules-button1-text-transform, none);
  font-weight: var(--typography-rules-button1-font-weight, normal);
}
#loyaltylion .lion-modal--history-info .lion-reward-code,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-reward-code {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin: 0;
  border: 1px dashed var(--colors-text);
  border-radius: var(--buttons-primary-border-radius);
  padding: var(--spacing-xxs) var(--spacing-lg);
}
#loyaltylion .lion-modal--history-info .lion-reward-code .lion-reward-code__code,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-reward-code .lion-reward-code__code {
  order: 1;
  background-color: var(--colors-background);
  border: 0;
  color: var(--colors-text);
  font-size: var(--typography-rules-text1-font-size);
  font-family: var(--typography-rules-text1-font-family, inherit);
  line-height: var(--typography-rules-text1-line-height, normal);
  letter-spacing: var(--typography-rules-text1-letter-spacing, normal);
  text-transform: var(--typography-rules-text1-text-transform, none);
  font-weight: var(--typography-rules-text1-font-weight, normal);
}
#loyaltylion .lion-modal--history-info .lion-reward-code .lion-copy-to-clipboard-button,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-reward-code .lion-copy-to-clipboard-button {
  order: 0;
  margin: 0;
  padding: 0;
  position: unset;
}
#loyaltylion .lion-modal--history-info .lion-reward-code .lion-copy-to-clipboard-button::before,
#loyaltylion .lion-redeem-reward-modal--cart_discount_voucher .lion-reward-code .lion-copy-to-clipboard-button::before {
  all: unset;
  display: block;
  content: var(--rewards-lion-icons-copy);
  mask-position: center;
  mask-size: cover;
  width: var(--spacing-md);
  height: var(--spacing-md);
}
#loyaltylion .lion-loyalty-widget .lion-notification-list .lion-notification-list__close {
  padding: var(--spacing-xxxs);
  color: black;
}
